<?php
/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package greensblog
 */

?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<div class='post-thumb'>
		<div class='post-thumb-innder'>
			<?php greensblog_post_thumbnail(); ?>
		</div>
	</div>
	<div class='post-main'>
		<header class="entry-header">
			<?php
			if ( is_singular() ) :
				the_title( '<h1 class="entry-title">', '</h1>' );
			else :
				the_title( '<h2 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h2>' );
			endif;

			if ( 'post' === get_post_type() ) :
				?>
				<div class="entry-meta">
					<?php
					greensblog_posted_on();
					greensblog_posted_by();
					?>
				</div><!-- .entry-meta -->
			<?php endif; ?>
		</header><!-- .entry-header -->

		

		<div class="entry-content">
			<?php
			if ( is_single() ) {
				the_content( sprintf(
					wp_kses(
						/* translators: %s: Name of current post. Only visible to screen readers */
						__( 'Continue reading<span class="screen-reader-text"> "%s"</span>', 'greensblog' ),
						array(
							'span' => array(
								'class' => array(),
							),
						)
					),
					get_the_title()
				) );

				wp_link_pages( array(
					'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'greensblog' ),
					'after'  => '</div>',
				) );
				
			}else{
				the_excerpt();

				wp_link_pages( array(
					'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'greensblog' ),
					'after'  => '</div>',
				) );
				?>
				<a href="<?php echo get_permalink(); ?>" class="readmorebtn"><?php esc_html_e( 'Read More', 'greensblog' ); ?></a>
				<?php
			}
			
			?>
			
		</div><!-- .entry-content -->

		<footer class="entry-footer">
			<?php greensblog_entry_footer(); ?>
		</footer><!-- .entry-footer -->
	</div>
	
</article><!-- #post-<?php the_ID(); ?> -->
